@charset "UTF-8";

/* CSS Document */


/*            <!--  Colors Dark Mode:
                                D - # - Hearder/Footer background 
                                D - # - Main background
                                D - # - Main text
                                D - # - Secondary background 
                                D - # - Hover links
                                

  */

body.dark-mode {
    background-color: #1B1B1B;
    color: #F3F3F3;
}

body.dark-mode #main-menu {
    color: #fdd647;
    background-color: #141414;
}

body.dark-mode #header {
    background-color: #141414;
    z-index: 1;
}

body.dark-mode #about {
    background-color: #242424;
}

body.dark-mode #portfolio {
    background-color: #141414;
}

body.dark-mode #blog {
    background-color: #242424;
}

body.dark-mode #work {
    background-color: #141414;
}

body.dark-mode #contact {
    background-color: #1b1b1b;
}

body.dark-mode #footer {
    background-color: #141414;
}

body.dark-mode h1 {
    color: #F3F3F3;
}

body.dark-mode h3 {
    color: #F3F3F3;
}

body.dark-mode h4 {
    color: #F3F3F3;
}

body.dark-mode a {
    color: #F3F3F3;
}

body.dark-mode a:hover {
    color: #0C5E82;
}

body.dark-mode h5 {
    color: #0C5E82;
}


/* Dark mode toggle */

#switch {
    height: 0;
    width: 0;
    visibility: hidden;
    transition: background 400ms ease-in-out, color 200ms ease;
}

label[for="switch"] {
    cursor: pointer;
    text-indent: -9999px;
    float: right;
    width: 45px;
    height: 25px;
    margin-right: 10px;
    background: #e0e5ec;
    display: block;
    border-radius: 25px;
    position: relative;
    box-shadow: 5px 5px 6px rgba(102, 102, 102, 0.5), -5px -5px 6px rgba(255, 255, 255, 0.05), inset 6px 6px 6px rgba(0, 0, 0, 0.51), inset -6px -6px 6px rgba(255, 255, 255, 0.05);
    transition: 400ms ease-in-out;
    border: 2px solid rgba(255, 255, 255, 0.43);
}

label[for="switch"]:after {
    content: "";
    position: absolute;
    top: 2px;
    left: 2px;
    width: 18px;
    height: 18px;
    background: #e0e5ec;
    border-radius: 22px;
    box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.2);
    transition: 400ms ease-in-out;
}

#switch:checked+label {
    background: #0C5E82;
    transition: 400ms ease-in-out;
    border: 2px solid rgba(255, 255, 255, 0.43);
}

#switch:checked+label:after {
    left: calc(100% - 1px);
    transform: translateX(-100%);
}

label[for="switch"]:active:after {
    width: 42px;
}


/*Button home */

body.dark-mode buttonClass {
    display: flex;
    margin-top: 2rem;
    flex-direction: row;
    justify-content: flex-start;
    width: 100%;
}

body.dark-mode button {
    color: #ececec;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #1B1B1B;
    border: none;
    padding: 1rem 2.5rem;
    font-weight: 600;
    text-transform: uppercase;
    font-size: 1rem;
    position: relative;
    border-radius: 100px;
    margin-right: 1rem;
    cursor: pointer;
    outline: none;
    transform-style: preserve-3d;
    transition: 0.2s ease-out;
}

body.dark-mode button:hover.alt span {
    mix-blend-mode: difference;
    color: #0C5E82;
}

body.dark-mode button::before {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    border-radius: 100px;
    z-index: 2;
    box-shadow: -5px -6px 10px #1B1B1B;
    filter: brightness(1.2);
    transition: 0.3s ease-out;
    pointer-events: none;
}

body.dark-mode button::after {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    border-radius: 100px;
    z-index: 2;
    box-shadow: 5px 10px 15px #1B1B1B;
    filter: brightness(0.8);
    transition: 0.3s ease-out;
    pointer-events: none;
}

body.dark-mode button:active.alt::after {
    box-shadow: inset 4px 4px 8px #1B1B1B;
}

body.dark-mode button:active.alt::before {
    box-shadow: inset -2px -2px 8px #1B1B1B;
}

body.dark-mode img soft {
    filter: invert(100%);
    -webkit-filter: invert(100%);
}


/*Scroll Down */

.scroll-down {
    position: absolute;
    top: 90%;
    left: 50%;
    transform: translate(-90%, -90%);
    margin-top: 20px;
    color: #121212;
    font-size: 0.81rem;
    letter-spacing: 1.25px;
    text-transform: uppercase;
    animation: scrollDown 2s infinite;
    mix-blend-mode: exclusion;
    z-index: 20;
}


/* OG GRID DARK MODE*/

body.dark-mode og-grid li.og-expanded>a::after {
    border-bottom-color: #121212;
}

body.dark-mode og-expander {
    background: #121212;
}

body.dark-mode og-close::before,
body.dark-mode og-close::after {
    background: #242424;
}

body.dark-mode og-close:hover::before,
body.dark-mode og-close:hover::after {
    background: #242424;
}

.og-details h3 {
    color: #F3F3F3;
}

body.dark-mode og-details p {
    color: #f3f3f3;
}

body.dark-mode og-details a {
    color: #333;
    border: 2px solid #333;
}

body.dark-mode og-details a:hover {
    border-color: #999;
    color: #999;
}

body.dark-mode og-loading {
    background: #ddd;
    box-shadow: 0 0 1px #ccc, 15px 30px 1px #ccc, -15px 30px 1px #ccc;
}

@-webkit-keyframes loader {
    0% {
        background: #ddd;
    }
    33% {
        background: #ccc;
        box-shadow: 0 0 1px #ccc, 15px 30px 1px #ccc, -15px 30px 1px #ddd;
    }
    66% {
        background: #ccc;
        box-shadow: 0 0 1px #ccc, 15px 30px 1px #ddd, -15px 30px 1px #ccc;
    }
}

@-moz-keyframes loader {
    0% {
        background: #ddd;
    }
    33% {
        background: #ccc;
        box-shadow: 0 0 1px #ccc, 15px 30px 1px #ccc, -15px 30px 1px #ddd;
    }
    66% {
        background: #ccc;
        box-shadow: 0 0 1px #ccc, 15px 30px 1px #ddd, -15px 30px 1px #ccc;
    }
}

@keyframes loader {
    0% {
        background: #ddd;
    }
    33% {
        background: #ccc;
        box-shadow: 0 0 1px #ccc, 15px 30px 1px #ccc, -15px 30px 1px #ddd;
    }
    66% {
        background: #ccc;
        box-shadow: 0 0 1px #ccc, 15px 30px 1px #ddd, -15px 30px 1px #ccc;
    }
}